For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Portal
GuidesRecipesAPI ReferenceChangelog
GuidesRecipesAPI ReferenceChangelog
  • Airtop API
      • GETList Automations
      • PUTUpdate Automation Description
      • GETGet Automation
      • DELDelete Automation
Portal
Airtop APIAutomations

Update Automation Description

PUT
https://api.airtop.ai/api/v1/automations/description
PUT
/api/v1/automations/description
$curl -X PUT https://api.airtop.ai/api/v1/automations/description \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "description": "description",
> "id": "id",
> "orgId": "orgId"
>}'
1{
2 "domainName": "domainName",
3 "id": "id",
4 "description": "description",
5 "schema": "schema",
6 "template": "template"
7}
Update the description of a specific automation
Was this page helpful?
Previous

Get Automation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
descriptionstringRequired
New description for the automation
idstringRequired
ID of the automation to update
orgIdstringRequired
Organization ID

Response

OK
domainNamestring
idstring
descriptionstring
schemastring
templatestring

Errors

401
Automations Update Request Unauthorized Error
403
Automations Update Request Forbidden Error
404
Automations Update Request Not Found Error
422
Automations Update Request Unprocessable Entity Error
500
Automations Update Request Internal Server Error